// =======================================================================
//	3D Class Library,  Xilex Group
// - ------------------------------------------------------------------- -
//	Written by Dmitry Boldyrev
// =======================================================================

#pragma once

typedef unsigned long 	ULONG;	// 4-byte unsigned
typedef signed long 	SLONG;	// 4-byte signed
typedef long			LONG;	// 4-byte signed
typedef unsigned short 	UWORD;	// 2-byte unsigned
typedef signed short 	SWORD;	// 2-byte signed
typedef long			WORD;	// 2-byte signed
typedef unsigned char 	UBYTE;	// 1-byte unsigned
typedef signed char 	SBYTE;	// 1-byte signed
typedef long			BYTE;	// 1-byte signed

typedef float			SINGLE;	// single precision float (4-bytes)
typedef double			DOUBLE;	// double precision float (8-bytes)

typedef BYTE			BOOL;

#ifndef TRUE
#define	TRUE	1
#endif

#ifndef FALSE
#define FALSE	0
#endif

#ifndef NULL
#define NULL 0L
#endif
